import { NHHentai, NHentai } from '.';
export declare type NHHentaiPartial = {
    title: string;
    cleanTitle: string;
    id: number;
    url: string;
    cover: string;
    language: NHLanguage;
    fetch: () => Promise<NHHentai>;
};
export declare enum NHSort {
    recent = "recent",
    today = "popular-today",
    week = "popular-week",
    all_time = "popular"
}
export declare type NHLanguage = 'japanese' | 'english' | 'chinese';
export declare class NHSearchResults {
    readonly search: string;
    readonly sort: NHSort;
    readonly url: string;
    readonly api: NHentai;
    hentai: NHHentaiPartial[];
    total: number;
    pages: number;
    page: number;
    constructor(api: NHentai, query: string, sort?: NHSort);
    lookup(): Promise<this>;
    private getPage;
    static collectHentai(doc: Document, api: NHentai): NHHentaiPartial[];
    next(): Promise<this>;
    goto(page: number): Promise<this>;
    previous(): Promise<this>;
}
export default NHSearchResults;
//# sourceMappingURL=search_results.d.ts.map